All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
execute.hpp File Reference

Provides the datastructures for dealing with a single statement such as 'x = y + z;'. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/scheduler/forwards.h"`
`#include "viennacl/scheduler/execute_scalar_assign.hpp"`
`#include "viennacl/scheduler/execute_axbx.hpp"`
`#include "viennacl/scheduler/execute_elementwise.hpp"`
`#include "viennacl/scheduler/execute_matrix_prod.hpp"`
`#include "viennacl/scheduler/execute_util.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::scheduler
| Contains the scheduling functionality which allows for dynamic kernel generation as well as the fusion of multiple statements into a single kernel.
| viennacl::scheduler::detail
| Implementation details for the scheduler.

## Functions

void | viennacl::scheduler::detail::execute_composite (statement const &s, statement_node const &root_node)
| Deals with x = RHS where RHS is an expression and x is either a scalar, a vector, or a matrix. More...
void | viennacl::scheduler::detail::execute_single (statement const &, statement_node const &root_node)
| Deals with x = y for a scalar/vector/matrix x, y. More...
void | viennacl::scheduler::detail::execute_impl (statement const &s, statement_node const &root_node)
void | viennacl::scheduler::execute (statement const &s)

## Detailed Description

Provides the datastructures for dealing with a single statement such as 'x = y + z;'.

Definition in file execute.hpp.